Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.serialize
Interface SerializerHandler

All Known Implementing Classes:
  ResultTreeHandler, BaseMarkupSerializer

public interface SerializerHandler

Interface that supplements `DocumentHandler` and `ContentHandler` with additional methods suitable for serialization. This interface is required only for XML and HTML serializers.

Method Summary
`void` | `endNonEscaping()` Ends an un-escaping section.
`void` | `endPreserving()` Ends a whitespace preserving section.
`void` | `startNonEscaping()` Starts an un-escaping section.
`void` | `startPreserving()` Starts a whitespace preserving section.

Method Detail

### startNonEscaping

    public void startNonEscaping()
                          throws SAXException

  Starts an un-escaping section. All characters printed within an un-escaping section are printed as is, without escaping special characters into entity references. Only XML and HTML serializers need to support this method.

  The contents of the un-escaping section will be delivered through the regular `characters` event.

### endNonEscaping

    public void endNonEscaping()
                        throws SAXException

  Ends an un-escaping section.
  See Also:
    `startNonEscaping()`

### startPreserving

    public void startPreserving()
                         throws SAXException

  Starts a whitespace preserving section. All characters printed within a preserving section are printed without indentation and without consolidating multiple spaces. This is equivalent to the `xml:space="preserve"` attribute. Only XML and HTML serializers need to support this method.

  The contents of the whitespace preserving section will be delivered through the regular `characters` event.

### endPreserving

    public void endPreserving()
                       throws SAXException

  Ends a whitespace preserving section.
  See Also:
    `startPreserving()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.